UsagePlansClientCompositeOperations¶
-
class
oci.apigateway.UsagePlansClientCompositeOperations(client, work_request_clients=None, **kwargs)¶ This class provides a wrapper around
UsagePlansClientand offers convenience methods for operations that would otherwise need to be chained together. For example, instead of performing an action on a resource (e.g. launching an instance, creating a load balancer) and then using a waiter to wait for the resource to enter a given state, you can call a single method in this class to accomplish the same functionalityMethods
__init__(client[, work_request_clients])Creates a new UsagePlansClientCompositeOperations object add_usage_plan_lock_and_wait_for_state(…)Calls add_usage_plan_lock()and waits for theUsagePlanacted upon to enter the given state(s).change_usage_plan_compartment_and_wait_for_state(…)Calls change_usage_plan_compartment()and waits for theWorkRequestto enter the given state(s).create_usage_plan_and_wait_for_state(…[, …])Calls create_usage_plan()and waits for theWorkRequestto enter the given state(s).delete_usage_plan_and_wait_for_state(…[, …])Calls delete_usage_plan()and waits for theWorkRequestto enter the given state(s).remove_usage_plan_lock_and_wait_for_state(…)Calls remove_usage_plan_lock()and waits for theUsagePlanacted upon to enter the given state(s).update_usage_plan_and_wait_for_state(…[, …])Calls update_usage_plan()and waits for theWorkRequestto enter the given state(s).-
__init__(client, work_request_clients=None, **kwargs)¶ Creates a new UsagePlansClientCompositeOperations object
Parameters: - client (UsagePlansClient) – The service client which will be wrapped by this object
- work_request_clients (dict) –
(optional) Service-local clients keyed by generated client class name, for example
{'WorkRequestClient': work_request_client}. By default, regional clients are created when needed using the wrapped client’s signer, endpoint and constructor options.Automatically created work-request clients are cached. Before each wait, their endpoint and signer are refreshed from the wrapped client; other client settings and HTTP session changes are not synchronized. Do not modify the wrapped client’s endpoint or signer while a wait is in progress.
Supply a client for non-regional endpoints or customized HTTP sessions. These clients are separate from the shared Work Requests service.
-
add_usage_plan_lock_and_wait_for_state(usage_plan_id, add_resource_lock_details, wait_for_states=[], operation_kwargs={}, waiter_kwargs={})¶ Calls
add_usage_plan_lock()and waits for theUsagePlanacted upon to enter the given state(s).Parameters: - usage_plan_id (str) – (required) The ocid of the usage plan.
- add_resource_lock_details (oci.apigateway.models.AddResourceLockDetails) – (required) AddResourceLockDetails body parameter
- wait_for_states (list[str]) – An array of states to wait on. These should be valid values for
lifecycle_state - operation_kwargs (dict) – A dictionary of keyword arguments to pass to
add_usage_plan_lock() - waiter_kwargs (dict) – A dictionary of keyword arguments to pass to the
oci.wait_until()function. For example, you could passmax_interval_secondsormax_interval_secondsas dictionary keys to modify how long the waiter function will wait between retries and the maximum amount of time it will wait
-
change_usage_plan_compartment_and_wait_for_state(usage_plan_id, change_usage_plan_compartment_details, wait_for_states=[], operation_kwargs={}, waiter_kwargs={})¶ Calls
change_usage_plan_compartment()and waits for theWorkRequestto enter the given state(s).Parameters: - usage_plan_id (str) – (required) The ocid of the usage plan.
- change_usage_plan_compartment_details (oci.apigateway.models.ChangeUsagePlanCompartmentDetails) – (required) Details of the target compartment.
- wait_for_states (list[str]) – An array of states to wait on. These should be valid values for
status - operation_kwargs (dict) – A dictionary of keyword arguments to pass to
change_usage_plan_compartment() - waiter_kwargs (dict) – A dictionary of keyword arguments to pass to the
oci.wait_until()function. For example, you could passmax_interval_secondsormax_interval_secondsas dictionary keys to modify how long the waiter function will wait between retries and the maximum amount of time it will wait
-
create_usage_plan_and_wait_for_state(create_usage_plan_details, wait_for_states=[], operation_kwargs={}, waiter_kwargs={})¶ Calls
create_usage_plan()and waits for theWorkRequestto enter the given state(s).Parameters: - create_usage_plan_details (oci.apigateway.models.CreateUsagePlanDetails) – (required) Details for the new usage plan.
- wait_for_states (list[str]) – An array of states to wait on. These should be valid values for
status - operation_kwargs (dict) – A dictionary of keyword arguments to pass to
create_usage_plan() - waiter_kwargs (dict) – A dictionary of keyword arguments to pass to the
oci.wait_until()function. For example, you could passmax_interval_secondsormax_interval_secondsas dictionary keys to modify how long the waiter function will wait between retries and the maximum amount of time it will wait
-
delete_usage_plan_and_wait_for_state(usage_plan_id, wait_for_states=[], operation_kwargs={}, waiter_kwargs={})¶ Calls
delete_usage_plan()and waits for theWorkRequestto enter the given state(s).Parameters: - usage_plan_id (str) – (required) The ocid of the usage plan.
- wait_for_states (list[str]) – An array of states to wait on. These should be valid values for
status - operation_kwargs (dict) – A dictionary of keyword arguments to pass to
delete_usage_plan() - waiter_kwargs (dict) – A dictionary of keyword arguments to pass to the
oci.wait_until()function. For example, you could passmax_interval_secondsormax_interval_secondsas dictionary keys to modify how long the waiter function will wait between retries and the maximum amount of time it will wait
-
remove_usage_plan_lock_and_wait_for_state(usage_plan_id, remove_resource_lock_details, wait_for_states=[], operation_kwargs={}, waiter_kwargs={})¶ Calls
remove_usage_plan_lock()and waits for theUsagePlanacted upon to enter the given state(s).Parameters: - usage_plan_id (str) – (required) The ocid of the usage plan.
- remove_resource_lock_details (oci.apigateway.models.RemoveResourceLockDetails) – (required) RemoveResourceLockDetails body parameter
- wait_for_states (list[str]) – An array of states to wait on. These should be valid values for
lifecycle_state - operation_kwargs (dict) – A dictionary of keyword arguments to pass to
remove_usage_plan_lock() - waiter_kwargs (dict) – A dictionary of keyword arguments to pass to the
oci.wait_until()function. For example, you could passmax_interval_secondsormax_interval_secondsas dictionary keys to modify how long the waiter function will wait between retries and the maximum amount of time it will wait
-
update_usage_plan_and_wait_for_state(usage_plan_id, update_usage_plan_details, wait_for_states=[], operation_kwargs={}, waiter_kwargs={})¶ Calls
update_usage_plan()and waits for theWorkRequestto enter the given state(s).Parameters: - usage_plan_id (str) – (required) The ocid of the usage plan.
- update_usage_plan_details (oci.apigateway.models.UpdateUsagePlanDetails) – (required) The information to be updated.
- wait_for_states (list[str]) – An array of states to wait on. These should be valid values for
status - operation_kwargs (dict) – A dictionary of keyword arguments to pass to
update_usage_plan() - waiter_kwargs (dict) – A dictionary of keyword arguments to pass to the
oci.wait_until()function. For example, you could passmax_interval_secondsormax_interval_secondsas dictionary keys to modify how long the waiter function will wait between retries and the maximum amount of time it will wait
-